# Do not edit this file, please run `python scripts/update_themes.py`

from ._typing_extensions import Literal

bsw5_version = "5.3.1"

bsw5_themes = (
    "cerulean",
    "cosmo",
    "cyborg",
    "darkly",
    "flatly",
    "journal",
    "litera",
    "lumen",
    "lux",
    "materia",
    "minty",
    "morph",
    "pulse",
    "quartz",
    "sandstone",
    "simplex",
    "sketchy",
    "slate",
    "solar",
    "spacelab",
    "superhero",
    "united",
    "vapor",
    "yeti",
    "zephyr",
)

BSW5_THEME_NAME = Literal[
    "cerulean",
    "cosmo",
    "cyborg",
    "darkly",
    "flatly",
    "journal",
    "litera",
    "lumen",
    "lux",
    "materia",
    "minty",
    "morph",
    "pulse",
    "quartz",
    "sandstone",
    "simplex",
    "sketchy",
    "slate",
    "solar",
    "spacelab",
    "superhero",
    "united",
    "vapor",
    "yeti",
    "zephyr",
]

bsw5_theme_colors = {
    "cerulean": {
        "body_color": "#495057",
        "body_bg": "#fff",
        "light": "#f8f9fa",
        "dark": "#343a40",
        "primary": "#2fa4e7",
        "secondary": "#e9ecef",
        "info": "#033c73",
        "success": "#73a839",
        "warning": "#dd5600",
        "danger": "#c71c22",
    },
    "cosmo": {
        "body_color": "#373a3c",
        "body_bg": "#fff",
        "light": "#f8f9fa",
        "dark": "#373a3c",
        "primary": "#2780e3",
        "secondary": "#373a3c",
        "info": "#9954bb",
        "success": "#3fb618",
        "warning": "#ff7518",
        "danger": "#ff0039",
    },
    "cyborg": {
        "body_color": "#adafae",
        "body_bg": "#060606",
        "light": "#767777",
        "dark": "#adafae",
        "primary": "#2a9fd6",
        "secondary": "#3d3e3d",
        "info": "#93c",
        "success": "#77b300",
        "warning": "#f80",
        "danger": "#c00",
    },
    "darkly": {
        "body_color": "#fff",
        "body_bg": "#222",
        "light": "#6f6f6f",
        "dark": "#2d2d2d",
        "primary": "#375a7f",
        "secondary": "#434343",
        "info": "#3498db",
        "success": "#00bc8c",
        "warning": "#f39c12",
        "danger": "#e74c3c",
    },
    "flatly": {
        "body_color": "#212529",
        "body_bg": "#fff",
        "light": "#ecf0f1",
        "dark": "#7b8a8b",
        "primary": "#2c3e50",
        "secondary": "#95a5a6",
        "info": "#3498db",
        "success": "#18bc9c",
        "warning": "#f39c12",
        "danger": "#e74c3c",
    },
    "journal": {
        "body_color": "#222",
        "body_bg": "#fff",
        "light": "#f8f9fa",
        "dark": "#222",
        "primary": "#eb6864",
        "secondary": "#aaa",
        "info": "#369",
        "success": "#22b24c",
        "warning": "#f5e625",
        "danger": "#f57a00",
    },
    "litera": {
        "body_color": "#343a40",
        "body_bg": "#fff",
        "light": "#f8f9fa",
        "dark": "#343a40",
        "primary": "#4582ec",
        "secondary": "#adb5bd",
        "info": "#17a2b8",
        "success": "#02b875",
        "warning": "#f0ad4e",
        "danger": "#d9534f",
    },
    "lumen": {
        "body_color": "#222",
        "body_bg": "#fff",
        "light": "#f6f6f6",
        "dark": "#555",
        "primary": "#158cba",
        "secondary": "#f0f0f0",
        "info": "#75caeb",
        "success": "#28b62c",
        "warning": "#ff851b",
        "danger": "#ff4136",
    },
    "lux": {
        "body_color": "#55595c",
        "body_bg": "#fff",
        "light": "#fff",
        "dark": "#343a40",
        "primary": "#1a1a1a",
        "secondary": "#fff",
        "info": "#1f9bcf",
        "success": "#4bbf73",
        "warning": "#f0ad4e",
        "danger": "#d9534f",
    },
    "materia": {
        "body_color": "#444",
        "body_bg": "#fff",
        "light": "#f8f9fa",
        "dark": "#222",
        "primary": "#2196f3",
        "secondary": "#fff",
        "info": "#9c27b0",
        "success": "#4caf50",
        "warning": "#ff9800",
        "danger": "#e51c23",
    },
    "minty": {
        "body_color": "#5a5a5a",
        "body_bg": "#fff",
        "light": "#f8f9fa",
        "dark": "#343a40",
        "primary": "#78c2ad",
        "secondary": "#f3969a",
        "info": "#6cc3d5",
        "success": "#56cc9d",
        "warning": "#ffce67",
        "danger": "#ff7851",
    },
    "morph": {
        "body_color": "#7b8ab8",
        "body_bg": "#d9e3f1",
        "light": "#f0f5fa",
        "dark": "#212529",
        "primary": "#378dfc",
        "secondary": "#d9e3f1",
        "info": "#5b62f4",
        "success": "#43cc29",
        "warning": "#ffc107",
        "danger": "#e52527",
    },
    "pulse": {
        "body_color": "#444",
        "body_bg": "#fff",
        "light": "#f9f8fc",
        "dark": "#17141f",
        "primary": "#593196",
        "secondary": "#a991d4",
        "info": "#009cdc",
        "success": "#13b955",
        "warning": "#efa31d",
        "danger": "#fc3939",
    },
    "quartz": {
        "body_color": "#fff",
        "body_bg": "#686dc3",
        "light": "#e9e9e8",
        "dark": "#212529",
        "primary": "#e83283",
        "secondary": "rgba(255,255,255,0.4)",
        "info": "#39cbfb",
        "success": "#41d7a7",
        "warning": "#ffc107",
        "danger": "#fd7e14",
    },
    "sandstone": {
        "body_color": "#3e3f3a",
        "body_bg": "#fff",
        "light": "#f8f5f0",
        "dark": "#3e3f3a",
        "primary": "#325d88",
        "secondary": "#8e8c84",
        "info": "#29abe0",
        "success": "#93c54b",
        "warning": "#f47c3c",
        "danger": "#d9534f",
    },
    "simplex": {
        "body_color": "#212529",
        "body_bg": "#fcfcfc",
        "light": "#fff",
        "dark": "#373a3c",
        "primary": "#d9230f",
        "secondary": "#fff",
        "info": "#029acf",
        "success": "#469408",
        "warning": "#d9831f",
        "danger": "#9b479f",
    },
    "sketchy": {
        "body_color": "#212529",
        "body_bg": "#fff",
        "light": "#fff",
        "dark": "#555",
        "primary": "#333",
        "secondary": "#555",
        "info": "#17a2b8",
        "success": "#28a745",
        "warning": "#ffc107",
        "danger": "#dc3545",
    },
    "slate": {
        "body_color": "#7a8288",
        "body_bg": "#272b30",
        "light": "#bdc1c4",
        "dark": "#272b30",
        "primary": "#43484d",
        "secondary": "#7a8288",
        "info": "#5bc0de",
        "success": "#62c462",
        "warning": "#f89406",
        "danger": "#ee5f5b",
    },
    "solar": {
        "body_color": "#839496",
        "body_bg": "#002b36",
        "light": "#fdf6e3",
        "dark": "#073642",
        "primary": "#b58900",
        "secondary": "#839496",
        "info": "#268bd2",
        "success": "#2aa198",
        "warning": "#cb4b16",
        "danger": "#d33682",
    },
    "spacelab": {
        "body_color": "#777",
        "body_bg": "#fff",
        "light": "#eee",
        "dark": "#333",
        "primary": "#446e9b",
        "secondary": "#999",
        "info": "#3399f3",
        "success": "#3cb521",
        "warning": "#d47500",
        "danger": "#cd0200",
    },
    "superhero": {
        "body_color": "#ebebeb",
        "body_bg": "#0f2537",
        "light": "#818c95",
        "dark": "#3b4d5b",
        "primary": "#df6919",
        "secondary": "#3b4d5b",
        "info": "#5bc0de",
        "success": "#5cb85c",
        "warning": "#ffc107",
        "danger": "#d9534f",
    },
    "united": {
        "body_color": "#333",
        "body_bg": "#fff",
        "light": "#e9ecef",
        "dark": "#772953",
        "primary": "#e95420",
        "secondary": "#aea79f",
        "info": "#17a2b8",
        "success": "#38b44a",
        "warning": "#efb73e",
        "danger": "#df382c",
    },
    "vapor": {
        "body_color": "#32fbe2",
        "body_bg": "#1a0933",
        "light": "#44d9e8",
        "dark": "#170229",
        "primary": "#6f42c1",
        "secondary": "#ea39b8",
        "info": "#1ba2f6",
        "success": "#3cf281",
        "warning": "#ffc107",
        "danger": "#e44c55",
    },
    "yeti": {
        "body_color": "#222",
        "body_bg": "#fff",
        "light": "#eee",
        "dark": "#333",
        "primary": "#008cba",
        "secondary": "#eee",
        "info": "#5bc0de",
        "success": "#43ac6a",
        "warning": "#e99002",
        "danger": "#f04124",
    },
    "zephyr": {
        "body_color": "#495057",
        "body_bg": "#fff",
        "light": "#f8f9fa",
        "dark": "#212529",
        "primary": "#3459e6",
        "secondary": "#fff",
        "info": "#287bb5",
        "success": "#2fb380",
        "warning": "#f4bd61",
        "danger": "#da292e",
    },
}
